<template>
	<div class="container">
		<app-progress :count="quotes.length" :maxQuotes="maxQuotes"></app-progress>
		<app-add-quote @addQuote="addQuote"></app-add-quote>
		<app-quotes :quotes="quotes" @deleteQuote="deleteQuote"></app-quotes>
		<div class="alert alert-info text-center" role="alert">Info: Click on a Quote to delete it.</div>
	</div>
</template>

<script>
	import Progress from './components/Progress.vue';
	import AddQuote from './components/AddQuote.vue';
	import Quotes from './components/Quotes.vue';

	export default {
		components: {
			'app-progress': Progress,
			'app-add-quote': AddQuote,
			'app-quotes': Quotes
		},
		data() {
			return {
				quotes: ['Just a Quote to start with something!'],
				maxQuotes: 10,
			}
		},
		methods: {
			addQuote(quote) {
				if (this.quotes.length >= this.maxQuotes)
					return alert('Maximum quotes reached. Please delete quotes to continue.');
				
				this.quotes.push(quote);
			},
			deleteQuote(i) {
				this.quotes.splice(i, 1);
			}
		}
	};
</script>

<style>
</style>
